Index: branches/OaaS/HeuristicLab.Problems.Instances.DataAnalysis/3.3/HeuristicLab.Problems.Instances.DataAnalysis-3.3.csproj
===================================================================
--- branches/OaaS/HeuristicLab.Problems.Instances.DataAnalysis/3.3/HeuristicLab.Problems.Instances.DataAnalysis-3.3.csproj	(revision 8228)
+++ branches/OaaS/HeuristicLab.Problems.Instances.DataAnalysis/3.3/HeuristicLab.Problems.Instances.DataAnalysis-3.3.csproj	(revision 9363)
@@ -98,5 +98,6 @@
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="ICSharpCode.SharpZipLib, Version=0.85.4.369, Culture=neutral, PublicKeyToken=1b03e6acf1164f73, processorArchitecture=MSIL">
+    <Reference Include="ICSharpCode.SharpZipLib">
+      <HintPath>..\..\HeuristicLab.PluginInfrastructure\3.3\ICSharpCode.SharpZipLib.dll</HintPath>
       <Private>False</Private>
     </Reference>
@@ -114,18 +115,32 @@
     <Compile Include="Classification\ArtificialClassificationDataDescriptor.cs" />
     <Compile Include="Classification\ArtificialClassificationInstanceProvider.cs" />
+    <Compile Include="Classification\ClassificationImportType.cs" />
     <Compile Include="Classification\ClassificationInstanceProvider.cs" />
     <Compile Include="Classification\CSV\ClassifiactionCSVInstanceProvider.cs" />
-    <Compile Include="Classification\RealWorld\Iris.cs" />
-    <Compile Include="Classification\RealWorld\Mammography.cs" />
-    <Compile Include="Classification\RealWorld\ClassificationRealWorldInstanceProvider.cs" />
     <Compile Include="Classification\ResourceClassificationDataDescriptor.cs" />
     <Compile Include="Classification\ResourceClassificationInstanceProvider.cs" />
+    <Compile Include="Classification\UCI\WisconsinDiagnosticBreastCancer.cs" />
+    <Compile Include="Classification\UCI\Vertebral_3C.cs" />
+    <Compile Include="Classification\UCI\Parkinson.cs" />
+    <Compile Include="Classification\UCI\Iris.cs" />
+    <Compile Include="Classification\UCI\UCIDataDescriptor.cs" />
+    <Compile Include="Classification\UCI\Mammography.cs" />
+    <Compile Include="Classification\UCI\Thyroid.cs" />
+    <Compile Include="Classification\UCI\UCIInstanceProvider.cs" />
+    <Compile Include="Classification\UCI\Wine.cs" />
     <Compile Include="Clustering\ClusteringInstanceProvider.cs" />
     <Compile Include="Clustering\CSV\ClusteringCSVInstanceProvider.cs" />
+    <Compile Include="DataAnalysisCSVFormat.cs" />
+    <Compile Include="DataAnalysisImportType.cs" />
+    <Compile Include="DataAnalysisInstanceProvider.cs" />
     <Compile Include="Plugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="Classification\ClassificationDataDescriptor.cs" />
     <Compile Include="Regression\ArtificialRegressionDataDescriptor.cs" />
     <Compile Include="Regression\ArtificialRegressionInstanceProvider.cs" />
     <Compile Include="Regression\CSV\RegressionCSVInstanceProvider.cs" />
+    <Compile Include="Regression\FeatureSelection\FeatureSelectionRegressionProblemData.cs" />
+    <Compile Include="Regression\FeatureSelection\FeatureSelection.cs" />
+    <Compile Include="Regression\FeatureSelection\FeatureSelectionInstanceProvider.cs" />
     <Compile Include="Regression\Keijzer\KeijzerFunctionFourteen.cs" />
     <Compile Include="Regression\Keijzer\KeijzerFunctionEleven.cs" />
@@ -134,4 +149,5 @@
     <Compile Include="Regression\Keijzer\KeijzerFunctionFifteen.cs" />
     <Compile Include="Regression\Keijzer\KeijzerFunctionFour.cs" />
+    <Compile Include="Regression\Keijzer\KeijzerFunctionNine.cs" />
     <Compile Include="Regression\Keijzer\KeijzerFunctionOne.cs" />
     <Compile Include="Regression\Keijzer\KeijzerFunctionSeven.cs" />
@@ -139,5 +155,7 @@
     <Compile Include="Regression\Keijzer\KeijzerFunctionTen.cs" />
     <Compile Include="Regression\Keijzer\KeijzerFunctionThirteen.cs" />
+    <Compile Include="Regression\Keijzer\KeijzerFunctionThree.cs" />
     <Compile Include="Regression\Keijzer\KeijzerFunctionTwelve.cs" />
+    <Compile Include="Regression\Keijzer\KeijzerFunctionTwo.cs" />
     <Compile Include="Regression\Keijzer\KeijzerInstanceProvider.cs" />
     <Compile Include="Regression\Korns\KornsFunctionEight.cs" />
@@ -170,5 +188,10 @@
     <Compile Include="Regression\Nguyen\NguyenFunctionTwo.cs" />
     <Compile Include="Regression\Nguyen\NguyenInstanceProvider.cs" />
-    <Compile Include="Regression\RealWorld\RegressionRealWorldInstanceProvider.cs" />
+    <Compile Include="Regression\RealWorld\ChemicalOne.cs" />
+    <Compile Include="Regression\RealWorld\Housing.cs" />
+    <Compile Include="Regression\RealWorld\RealWorldRegressionInstanceProvider.cs" />
+    <Compile Include="Regression\RealWorld\Tower.cs" />
+    <Compile Include="Regression\RegressionDataDescriptor.cs" />
+    <Compile Include="Regression\RegressionImportType.cs" />
     <Compile Include="Regression\RegressionInstanceProvider.cs" />
     <Compile Include="Regression\ResourceRegressionDataDescriptor.cs" />
@@ -191,7 +214,10 @@
     <Compile Include="Regression\Vladislavleva\VladislavlevaInstanceProvider.cs" />
     <Compile Include="TableFileParser.cs" />
-  </ItemGroup>
-  <ItemGroup>
-    <EmbeddedResource Include="Classification\Data\ClassificationRealWorld.zip" />
+    <Compile Include="TimeSeries\CSV\TimeSeriesPrognosisCSVInstanceProvider.cs" />
+    <Compile Include="TimeSeries\TimeSeriesPrognosisImportType.cs" />
+    <Compile Include="TimeSeries\TimeSeriesPrognosisInstanceProvider.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="Classification\Data\UCI.zip" />
     <None Include="HeuristicLab.snk" />
     <None Include="Plugin.cs.frame" />
@@ -220,4 +246,12 @@
       <Private>False</Private>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Parameters\3.3\HeuristicLab.Parameters-3.3.csproj">
+      <Project>{56F9106A-079F-4C61-92F6-86A84C2D84B7}</Project>
+      <Name>HeuristicLab.Parameters-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj">
+      <Project>{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}</Project>
+      <Name>HeuristicLab.Persistence-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
@@ -243,5 +277,5 @@
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <PropertyGroup>
-    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+    <PreBuildEvent Condition=" '$(OS)' == 'Windows_NT' ">set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
 set ProjectDir=$(ProjectDir)
 set SolutionDir=$(SolutionDir)
@@ -249,4 +283,10 @@
 
 call PreBuildEvent.cmd</PreBuildEvent>
+    <PreBuildEvent Condition=" '$(OS)' != 'Windows_NT' ">
+export ProjectDir=$(ProjectDir)
+export SolutionDir=$(SolutionDir)
+
+$SolutionDir/PreBuildEvent.sh
+</PreBuildEvent>
   </PropertyGroup>
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
